﻿.dg {
    margin: 2px;
}

    .dg .view {
        width: 100%;
        clear: both;
    }

        .dg .view th {
            font-size: 12px;
            font-weight: 700;
            vertical-align: top;
            background-color: #f8f8f8;
            border-color: #e7e7e7;
            color: #777;
            word-break: break-word;
            border: 1px solid #e7e7e7;
            padding-top: 5px;
            padding-bottom: 2px;
            text-align: center;
            border-spacing: 0;
            text-transform: uppercase;
        }

            .dg .view th[type=number] {
                text-align: right;
                padding-right: 10px;
            }

        .dg .view td.hide {
            display: none;
        }

        .dg .view.reflow {
            width: 100%;
        }

            .dg .view.reflow tr {
                border: 0px;
            }

        .dg .view thead tr {
            border-bottom: 2px solid #258ecd;
        }
        /*.dg .view tbody tr {
	border-bottom: 1px dotted #258ecd;
	font-size: 9pt;
}*/
        .dg .view tbody tr td:first-child {
            font-size: 9pt;
            padding: 0px 5px 0px 5px;
            text-align: left;
            vertical-align: middle;
            border-bottom: 1px dotted #258ecd;
            border-left: 0px;
            word-break: break-all;
        }

        .dg .view tbody tr td {
            font-size: 9pt;
            padding: 0px 5px 0px 5px;
            text-align: left;
            vertical-align: middle;
            border-bottom: 1px dotted #258ecd;
            border-left: 1px dotted #258ecd;
            word-break: break-all;
        }

        .dg .view.reflow thead {
            display: none;
        }

        .dg .view.reflow .row-head {
            width: 100%;
            padding: 5px 0 1px 0;
            border-bottom: 1px solid #258ecd;
        }

            .dg .view.reflow .row-head b {
                color: #0d77b6;
            }

            .dg .view.reflow .row-head .persist {
                display: inline-block;
                max-width: 150px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                -o-text-overflow: ellipsis;
            }

        .dg .view.reflow .row-content {
            width: 100%;
        }

            .dg .view.reflow .row-content table {
                width: 100%;
            }

            .dg .view.reflow .row-content tr {
                border-bottom: 1px dotted #258ecd;
            }

                .dg .view.reflow .row-content tr td:first-child {
                    color: #0d77b6;
                }

                .dg .view.reflow .row-content tr:last-child {
                    border-bottom: none;
                }

        .dg .view.reflow .row-original {
            display: none;
        }

        .dg .view tbody .number {
            text-align: right;
            padding-right: 10px;
        }

    .dg .pagination {
        margin: 2px;
    }

    .dg .pagination-sm > li > a {
        padding: 3px 7px;
    }

    .dg .status {
        display: inline;
        margin: 2px;
        font-weight: bold;
        vertical-align: 10px;
    }

    .dg .view tbody tr {
        background-color: white;
    }

        .dg .view tbody tr:hover td {
            background-color: #f8f8f8;
        }

        .dg .view tbody tr.selected td {
            background-color: #d9edf7;
        }

    .dg .view {
        table-layout: fixed;
    }

    /*Fixed Header*/

    .dg .hscroll {
        width: 100%;
        overflow-x: auto;
        overflow-y:hidden;
    }

        .dg .hscroll .view {
            width: 100%;
            overflow: hidden;
            border-collapse: inherit;
        }

            .dg .hscroll .view:not(.reflow) thead .block {
                display: table-header-group;
            }

            .dg .hscroll .view:not(.reflow) tbody .block {
                display: table-row-group;
            }

            .dg .hscroll .view tbody tr td {
                min-width: 145px;
                background-color: white;
            }

            .dg .hscroll .view tbody tr:hover td {
                background-color: #f8f8f8;
            }

            .dg .hscroll .view tbody tr.selected td {
                background-color: #d9edf7;
            }

    .dg .vscroll {
        height:100%;
        width:100%;
        overflow-y: auto;
        overflow-x: hidden;
    }
    /*Fixed Header*/
    
    /*Column Selector*/
    .dg .column-selector label {
        font-weight: inherit;
        margin: 0px;
    }
    /*Column Selector*/

    .dg .view.inner-header thead {
        visibility: collapse;
        height: 0px;
        line-height: 0px;
        padding: 0px;
    }

    .dg .view.inner-header thead tr {
        border-bottom-width: 0px;
    }

    .dg .view.inner-header thead th {
        padding-top: 0px;
        padding-bottom: 0px;
        border: 1px solid transparent;
    }

    /* Fixed Header*/
    .dg .fixed-header {
        width: 100%;
        clear: both;
    }

        .dg .fixed-header th {
            font-size: 12px;
            font-weight: 700;
            vertical-align: top;
            background-color: #f8f8f8;
            border-color: #e7e7e7;
            color: #777;
            word-break: break-word;
            border: 1px solid #e7e7e7;
            padding-top: 5px;
            padding-bottom: 2px;
            text-align: center;
            border-spacing: 0;
            text-transform: uppercase;
        }

        .dg .fixed-header thead tr {
            border-bottom: 2px solid #258ecd;
        }

    .dg .fixed-header {
        table-layout: fixed;
    }
/**/

@media only screen and (max-width: 480px) {
    .dg .hscroll {
        overflow-x: hidden;
    }

        .dg .hscroll .view thead {
            display: none;
        }

        .dg .hscroll .fixed-header  thead {
            display: none;
        }


    .dg .view tbody {
        overflow-x: hidden;
    }
}
